source: spip-zone/_plugins_/svp/svp_options.php @ 47826

Last change on this file since 47826 was 47826, checked in by eric@…, 10 years ago

Grosse évolution : SVP abandonne SPIP 2.1 pour se projeter dans l'avernir avec SPIP 3. Au menu du commit :

  • Amélioration des logs pour utiliser la nouvelle politique de niveaux et suppression des define svp devenus inutiles
  • Initialisation de tous les champs d'un dépot avant une insertion
  • Ajout de quelques cas d'erreur
  • Incrément de version
  • Property svn:eol-style set to native
File size: 1.6 KB
Line 
1<?php
2
3// Mise a jour automatique des depots (CRON)
4// - Flag de declenchement
5define('_SVP_CRON_ACTUALISATION_DEPOTS', true);
6// - Periode d'actualisation en nombre d'heures (de 1 a 24)
7define('_SVP_PERIODE_ACTUALISATION_DEPOTS', 6);
8
9// Définition de la boite du logo de depot pour utilisation de iconifier()
10$GLOBALS['logo_libelles']['id_depot'] = _T('svp:titre_boite_logo_depot');
11
12// Infos *temporaires* du plugin de prefixe 'theme'
13define('_SVP_PREFIXE_PLUGIN_THEME', 'THEME');
14define('_SVP_NOM_PLUGIN_THEME', 'Thèmes SPIP');
15define('_SVP_SLOGAN_PLUGIN_THEME', 'Des thèmes pour habiller les squelettes SPIP');
16
17// Type parseur XML a appliquer pour recuperer les infos du plugin
18// - plugin, pour utiliser plugin.xml
19// - paquet, pour paquet.xml
20define('_SVP_DTD_PLUGIN', 'plugin'); 
21define('_SVP_DTD_PAQUET', 'paquet'); 
22
23// Regexp de recherche des balises principales de archives.xml
24define('_SVP_REGEXP_BALISE_DEPOT', '#<depot[^>]*>(.*)</depot>#Uims');
25define('_SVP_REGEXP_BALISE_ARCHIVES', '#<archives[^>]*>(.*)</archives>#Uims');
26define('_SVP_REGEXP_BALISE_ARCHIVE', '#<archive[^>]*>(.*)</archive>#Uims');
27define('_SVP_REGEXP_BALISE_ZIP', '#<zip[^>]*>(.*)</zip>#Uims');
28define('_SVP_REGEXP_BALISE_TRADUCTIONS', '#<traductions[^>]*>(.*)</traductions>#Uims');
29define('_SVP_REGEXP_BALISE_PLUGIN', '#<plugin[^>]*>(.*)</plugin>#Uims');
30define('_SVP_REGEXP_BALISE_PAQUET', '#<paquet[^>]*>(.*)</paquet>#Uims');
31
32// Version SPIP minimale quand un plugin ne le precise pas
33define('_SVP_VERSION_SPIP_MIN', '1.9.0');
34// Intervalles de compatibilite SPIP
35define('_SVP_COMPATIBILITE_SPIP_TOUT', '[1.9.0;)');
36define('_SVP_COMPATIBILITE_SPIP_NA', '(;)');
37
38?>
Note: See TracBrowser for help on using the repository browser.